---
title: "Import base64Video and return recordingId"
url: "https://developer.incode.com/api-reference/recordings-import-third-party/"
section: "api-reference"
group: "Interview"
version: "v1.1"
status: "live"
endpoint: "POST /omni/recordings/import/third-party"
---
# Import base64Video and return recordingId

`POST /omni/recordings/import/third-party`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `video` | string | yes | Video of capture attempt, represented in base64. |
| `type` | string |  | Type of recording that should be stored. Possible values: selfie, frontId, backId. Enum: `frontId`, `backId`, `merged`, `selfie`, `authenticationattempt` |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `recordingId` | string |  |  |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X POST https://demo-api.incodesmile.com/omni/recordings/import/third-party \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "",
    "type": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/recordings/import/third-party", {
  method: "POST",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "video": "",
      "type": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.post("https://demo-api.incodesmile.com/omni/recordings/import/third-party", headers=headers, json={
  "video": "",
  "type": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/recordings/import/third-party"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\n  \"video\": \"\",\n  \"type\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
